///this source code is NYSL
#include <stdio.h>
#include "nysl_cpu.h"



int main()
{
	NYSL_CPU_CPU_INFO info;


	//1bCPU clockv
	nysl_cpuGetX86CPUInfo(&info);
	printf("CPU NAME:%s\n",info.CPUName);
	printf("CPU TYPE:%s\n",info.CPUType);

	printf(" Type ID:%0x\n",info.TypeID);
	printf(" Family ID:%0x\n",info.TypeID);
	printf(" Model ID:%0x\n",info.ModelID);
	printf(" Stepping ID:%0x\n",info.SteppingID);
	printf(" CPUClock : %d MHz\n",info.CPUClock);


	printf("FPU:%d\n",nysl_cpuIsFPU());
	printf("TSC:%d\n",nysl_cpuIsTSC());
	printf("CMOV:%d\n",nysl_cpuIsCMOV());
	printf("FCMOV:%d\n",nysl_cpuIsFCMOV());
	printf("CPUID:%d\n",nysl_cpuIsCPUID());
	printf("MMX:%d\n",nysl_cpuIsMMX());
	printf("MMX2:%d\n",nysl_cpuIsMMX2());
	printf("SSE:%d\n",nysl_cpuIsSSE());
	printf("SSE2:%d\n",nysl_cpuIsSSE2());
	printf("SSE3:%d\n",nysl_cpuIsSSE3());
	printf("3DNOW:%d\n",nysl_cpuIs3DNOW());
	printf("E3DNOW:%d\n",nysl_cpuIsE3DNOW());
	printf("3DNOW PRO:%d\n",nysl_cpuIs3DNOW_PRO());
	printf("HTT:%d\n",nysl_cpuIsHTT());
#ifdef _DEBUG
	system("PAUSE");
#endif
	return 0;
}


